Skip to main content
POST
/
v1
/
accounts
/
{account_id}
/
phone-numbers
Create phone number
curl --request POST \
  --url https://api.itellico.ai/v1/accounts/{account_id}/phone-numbers \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "sip_trunk_id": "<string>",
  "number": "<string>",
  "name": "<string>",
  "inbound_agent_id": "<string>"
}
'
{
  "id": "<string>",
  "number": "<string>",
  "sip_trunk": {
    "id": "<string>",
    "name": "<string>"
  },
  "inbound_agent": {
    "id": "<string>",
    "name": "<string>",
    "avatar": "<string>"
  },
  "spam_data": {},
  "friendly_name": "<string>",
  "tellows_data": {}
}

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string<uuid4>
required

Body

application/json
sip_trunk_id
string
required

SIPTrunk UUID

number
string | null

E.164 phone number

name
string | null

Friendly name

inbound_agent_id
string | null

Inbound Agent UUID

Response

Created

id
string<uuid4>
required
number
string | null
sip_trunk
SIPTrunkBaseV1Out · object
inbound_agent
NumberAgentV1Out · object
spam_data
Spam Data · object
friendly_name
string | null
Maximum string length: 100
tellows_data
Tellows Data · object

Tellows spam check data including score, complaints, caller info, and check timestamp